<?php
/* module_maker/_config.inc.php
 * code by strangecode :: www.strangecode.com :: this document contains copyrighted information. */

// Determine common site directory.
if (false !== ($common_base = realpath($_SERVER['argv'][1]))) {
    // First arg is path to current site. Realpath removes trailing /s
    define('COMMON_BASE', $common_base);
} else {
    die(sprintf("Error: First argument must be the directory path to the site (e.g.: /home/sc/www.strangecode.com/).\n", basename($_SERVER['argv'][0])));
}

// Set include path.
ini_set('include_path', get_include_path()
    . PATH_SEPARATOR . COMMON_BASE
);

// Include core libraries.
require_once 'codebase/lib/App.inc.php';
require_once 'codebase/lib/Utilities.inc.php';
require_once 'codebase/lib/Auth_SQL.inc.php';

$app =& App::getInstance('module_maker');

$app->setParam(array(
    'site_name' => 'Module Maker',
    'site_email' => 'quinn@strangecode.com',
    'enable_session' => false,
    'enable_db' => true,
    'db_always_debug' => false,
    'db_debug' => true,
    'db_die_on_failure' => true,
    'display_errors' => true,
    'error_reporting' => E_ALL,
    'log_screen_priority' => LOG_DEBUG,
));

require_once 'global/db_auth.inc.php';

$app->start();

?>